Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.start
Class Classpath

    java.lang.Object
      org.eclipse.jetty.start.Classpath

    public class Classpath

extends java.lang.Object

Class to handle CLASSPATH construction

Constructor Summary
`Classpath()`
`Classpath(java.lang.String initial)`

Method Summary
`boolean` | `addClasspath(java.lang.String s)`
`boolean` | `addComponent(java.io.File component)`
`boolean` | `addComponent(java.lang.String component)`
`int` | `count()`
`void` | `dump(java.io.PrintStream out)`
`static java.lang.String` | `encodeFileURL(java.lang.String path)`
`java.lang.ClassLoader` | `getClassLoader()`
`java.io.File[]` | `getElements()`
`boolean` | `isEmpty()`
`void` | `overlay(Classpath cpOther)` Overlay another classpath, copying its elements into place on this Classpath, while eliminating duplicate entries on the classpath.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Classpath

    public Classpath()

### Classpath

    public Classpath(java.lang.String initial)

Method Detail

### getElements

    public java.io.File[] getElements()

### count

    public int count()

### addComponent

    public boolean addComponent(java.lang.String component)

### addComponent

    public boolean addComponent(java.io.File component)

### addClasspath

    public boolean addClasspath(java.lang.String s)

### dump

    public void dump(java.io.PrintStream out)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getClassLoader

    public java.lang.ClassLoader getClassLoader()

### encodeFileURL

    public static java.lang.String encodeFileURL(java.lang.String path)

### overlay

    public void overlay(Classpath cpOther)

  Overlay another classpath, copying its elements into place on this Classpath, while eliminating duplicate entries on the classpath.

  Parameters:
    `cpOther` - the other classpath to overlay

### isEmpty

    public boolean isEmpty()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.